## tomboy-ng 0.31a

=== debian/changelog ===
tomboy-ng (0.31a-2) unstable; urgency=medium

  * Rev the Debian version

 -- David Bannon <tomboy-ng@bannons.id.au>  Sun, 27 Dec 2020 22:29:42 +1100

tomboy-ng (0.31a-1) unstable; urgency=medium

  * Initial release. (Closes: #897688)
  * Please see github for change details
  * Qt5 version

 -- David Bannon <tomboy-ng@bannons.id.au>  Fri, 18 Dec 2020 22:08:09 +1100

## tomboy-ng 0.34

=== Makefile ===

# A makefile specificially to assist with making a SRC Deb for tomboy.
# Might work to install as a src tarball but its not regularly tested for this.
#
# copyright David Bannon, 2020, use as you see fit, but retain this statement.

# https://www.gnu.org/software/make/manual/html_node/index.html

# Some not surprising template stuff

PREFIX = /usr
BIN_DIR = $(PREFIX)/bin
PROGRAM_NAME=tomboy-ng
MAN_DIR = $(PREFIX)/share/man/man1
SHARE_DIR = $(PREFIX)/share
DOC_DIR = $(SHARE_DIR)/$(PROGRAM_NAME)
# ---- Help Notes, it just replicates existing dir/note structure.
HELP_DIR = $(DOC_DIR)/HELP
RM      = rm -f
RMDIR	= rm -Rf
MKDIR   = mkdir -p
OUTFILES = ../*.deb ../*.build ../*.xz ../*.dsc ../*.buildinfo ../*.changes
CLEANDIR = kcontrols/packages/kcontrols/lib source/lib
INSTALL = install
INSTALL_PROGRAM = $(INSTALL) -c -m 0755
INSTALL_DATA    = $(INSTALL) -c -m 0644
CP = cp -R
# ----- Language translation files, just add 2 letter code here -----
LANGUAGES = es fr nl
MKDIRLANG = test -d $(DESTDIR)$(SHARE_DIR)/locale/$(LANG)/LC_MESSAGES || $(MKDIR) $(DESTDIR)$(SHARE_DIR)/locale/$(LANG)/LC_MESSAGES
CPLANG = msgfmt -o $(DESTDIR)$(SHARE_DIR)/locale/$(LANG)/LC_MESSAGES/tomboy-ng.mo po/tomboy-ng.$(LANG).po



tomboy-ngx86_64: 
	bash ./buildit.bash
	$(info ========== We have compiled [${PROGRAM_NAME}])
	# $(info ========== $$BIN_DIR is [${BIN_DIR}])
	


clean:
	rm -Rf 		debian/tomboy-ng
	$(RM)		debian/debhelper-build-stamp
	$(RM)		debian/tomboy-ng.substvars
	$(RMDIR)	$(CLEANDIR)
	$(RM)		$(OUTFILES)
	$(RM)		source/Tomboy_NG source/tomboy-ng
	$(RM)		kcontrols/package/kcontrols/KControls.log
	# clean is pretty useless here, any change to tree upsets debuild and apparently
	# kcontrols changes some src file during package build. So, refresh !

install: installdirs
	$(info ========== Installing ....)
	$(INSTALL_PROGRAM)	source/tomboy-ng   	$(DESTDIR)$(BIN_DIR)/$(PROGRAM_NAME)
	$(INSTALL_DATA)		doc/tomboy-ng.1 	$(DESTDIR)$(MAN_DIR)/$(PROGRAM_NAME).1
	$(CP)			doc/HELP		$(DESTDIR)$(HELP_DIR)/
	$(CP)			doc/overrides		$(DESTDIR)$(SHARE_DIR)/lintian/overrides/tomboy-ng
	$(CP)			glyphs/icons		$(DESTDIR)$(SHARE_DIR)/
	$(INSTALL_DATA)	glyphs/tomboy-ng.desktop	$(DESTDIR)$(SHARE_DIR)/applications/tomboy-ng.desktop
	$(foreach LANG, $(LANGUAGES), $(CPLANG);)		

installdirs:
	test -d $(DESTDIR)$(BIN_DIR) || $(MKDIR) $(DESTDIR)$(BIN_DIR)
	test -d $(DESTDIR)$(MAN_DIR) || $(MKDIR) $(DESTDIR)$(MAN_DIR)
	test -d $(DESTDIR)$(DOC_DIR) || $(MKDIR) $(DESTDIR)$(DOC_DIR)
	test -d $(DESTDIR)/share/applications || $(MKDIR) $(DESTDIR)$(SHARE_DIR)/applications
	test -d $(DESTDIR)/share/lintian/overrides || $(MKDIR) $(DESTDIR)$(SHARE_DIR)/lintian/overrides
	$(foreach LANG, $(LANGUAGES), $(MKDIRLANG);)

## tomboy-ng 0.32

=== debian/changelog ===
tomboy-ng (0.32-2) unstable; urgency=medium

  * debian/control: Correct (Build-)Depends and long package description
  * debian/patches: Update documentation regarding missing libappindicator3

 -- David Bannon <tomboy-ng@bannons.id.au>  Wed, 19 May 2021 17:09:18 +1000

tomboy-ng (0.32-1) unstable; urgency=medium

  * New Version Release
  * Please see github for change details

 -- David Bannon <tomboy-ng@bannons.id.au>  Wed, 03 Feb 2021 14:22:58 +1100

=== debian/control ===
Source: tomboy-ng
Section: x11
Priority: optional
Maintainer: David Bannon <tomboy-ng@bannons.id.au>
Rules-Requires-Root: no
Build-Depends: debhelper-compat (=13), binutils, libgtk2.0-dev, libx11-dev, libnotify-dev, fpc (>=3.0.4), lazarus (>=2.0.6)
Standards-Version: 4.5.1
Vcs-Browser: https://github.com/tomboy-notes/tomboy-ng
Vcs-Git: https://github.com/tomboy-notes/tomboy-ng.git
Homepage: https://github.com/tomboy-notes/tomboy-ng

Package: tomboy-ng
Provides: tomboy-ng
Architecture: any
Multi-Arch: foreign
Depends: ${shlibs:Depends}, libcanberra-gtk-module, wmctrl, ${misc:Depends}
Description: Tomboy Notes rewritten to ease installation and cross platform
 tomboy-ng notes allows easy management of a large or small set of
 notes. Notes can contain a range of font sizes, bold, italic and highlight.
 Available for Linux, Windows amd Mac and easy sync between them.
 This is the GTK2 based version.

## tomboy-ng 0.34

=== debian/changelog ===
tomboy-ng (0.34-1) unstable; urgency=medium

  * Release of new version
  * Multilevel bullets
  * Github Sync
  * Better Notebook tools
  * configurable date stamp
  * (Closes: #997942)
  * Please see github for further change details

 -- David Bannon <tomboy-ng@bannons.id.au>  Wed, 17 Nov 2021 09:57:39 +1100

=== debian/control ===
Source: tomboy-ng
Section: x11
Priority: optional
Maintainer: David Bannon <tomboy-ng@bannons.id.au>
Rules-Requires-Root: no
Build-Depends: debhelper-compat (=13), binutils, libgtk2.0-dev, libx11-dev, libnotify-dev, fpc (>=3.2.0), lazarus (>=2.0.10)
Standards-Version: 4.6.0.1
Vcs-Browser: https://github.com/tomboy-notes/tomboy-ng
Vcs-Git: https://github.com/tomboy-notes/tomboy-ng.git
Homepage: https://github.com/tomboy-notes/tomboy-ng

Package: tomboy-ng
Provides: tomboy-ng
Architecture: any
Multi-Arch: foreign
Depends: libgtk2.0-0 (>= 2.6), ${shlibs:Depends}, libcanberra-gtk-module, wmctrl, ${misc:Depends}
Suggests: libayatana-appindicator3-1
Description: Tomboy Notes rewritten to ease installation and cross platform
 tomboy-ng notes allows easy management of a large or small set of
 notes. Notes can contain a range of font sizes, bold, italic and highlight.
 Available for Linux, Windows amd Mac and easy sync between them.
 This is the GTK2 based version.

## tomboy-ng 0.35

=== debian/changelog ===
tomboy-ng (0.35-1) unstable; urgency=medium

  * Release of new version
  * A better Search all notes and Find in Note capability.
  * A Ukrainian Translation.
  * UI tweaks including Ctrl-F toggling, Esc to close note.
  * A revised CLI, import, plain text, RTF and Markdown.
  * Ctrl-Z (ie Undo) will now revert an errant Date Stamp
  * A handful of minor bug fixes.
  * Please see github for further change details

 -- David Bannon <tomboy-ng@bannons.id.au>  Wed, 30 Nov 2022 22:16:24 +1100

=== debian/control ===
Source: tomboy-ng
Section: x11
Priority: optional
Maintainer: David Bannon <tomboy-ng@bannons.id.au>
Rules-Requires-Root: no
Build-Depends: debhelper-compat (=13), binutils, libqt5pas-dev, lcl-qt5, libcairo2-dev, libpango1.0-dev, libx11-dev, libnotify-dev, fpc (>=3.2.2), lazarus (>=2.2.2)
Standards-Version: 4.6.1.0
Vcs-Browser: https://github.com/tomboy-notes/tomboy-ng
Vcs-Git: https://github.com/tomboy-notes/tomboy-ng.git
Homepage: https://github.com/tomboy-notes/tomboy-ng

Package: tomboy-ng
Provides: tomboy-ng
Architecture: any
Multi-Arch: foreign
Depends: ${shlibs:Depends}, libqt5pas1, wmctrl, libnotify-bin, ${misc:Depends}
Suggests: libayatana-appindicator3-1
Description: Tomboy Notes rewritten to ease installation and cross platform
 tomboy-ng notes allows easy management of a large or small set of
 notes. Notes can contain a range of font sizes, bold, italic and highlight.
 Available for Linux, Windows amd Mac and easy sync between them.
 This is the QT5 based version.

## tomboy-ng 0.36

=== debian/changelog ===
tomboy-ng (0.36-1) unstable; urgency=medium

  *  Release of new version
  * From 0.35 to 0.36 -
  * New Feature export as PDF.
  * New Feature insert a symbol or accented character.
  * Bug fix in column mode of calculator.
  * Warn user about setting non mono font.
  * All Tomdroid functionality removed.
  * A fix for SWYT not finding some text in a brand new note.
  * Can set colour of a link, more suitable default.
  * Use of TextHint to better indicate EditSearch role.
  * Revised note button colors for better dark theme use.
  * Please see github for further change details

 -- David Bannon <tomboy-ng@bannons.id.au>  Wed, 22 Feb 2023 20:45:26 +1100

tomboy-ng (0.35-2) unstable; urgency=medium

  *  Repackage
  * Added dependencies

 -- David Bannon <tomboy-ng@bannons.id.au>  Wed, 30 Nov 2022 21:26:53 +1100

## tomboy-ng 0.36a

=== debian/changelog ===
tomboy-ng (0.36a-2) unstable; urgency=medium

  * Repackage.
  * Correct bad changelog.

 -- David Bannon <tomboy-ng@bannons.id.au>  Mon, 03 Apr 2023 11:08:43 +1000

tomboy-ng (0.36a-1) unstable; urgency=medium

  * Release of new version.
  * More uniform colors when used with qt5ct.
  * Man page added info re colors.
  * Indicator that custom colors being used.
  * Please see github for further change details.

 -- David Bannon <tomboy-ng@bannons.id.au>  Sun, 19 Mar 2023 10:08:23 +1100

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: David Bannon <tomboy-ng@bannons.id.au>
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (=13), binutils, libqt5pas-dev, lcl-qt5, libcairo2-dev, libpango1.0-dev, libx11-dev, libnotify-dev, fpc (>=3.2.2), lazarus (>=2.2.2)
-Standards-Version: 4.6.1.0
+Standards-Version: 4.6.2
 Vcs-Browser: https://github.com/tomboy-notes/tomboy-ng
 Vcs-Git: https://github.com/tomboy-notes/tomboy-ng.git
 Homepage: https://github.com/tomboy-notes/tomboy-ng

## tomboy-ng 0.39

=== Makefile ===
--- 
+++ 
@@ -19,8 +19,8 @@
 RM      = rm -f
 RMDIR	= rm -Rf
 MKDIR   = mkdir -p
-OUTFILES = ../*.deb ../*.build ../*.xz ../*.dsc ../*.buildinfo ../*.changes
-CLEANDIR = kcontrols/packages/kcontrols/lib source/lib
+OUTFILES = ../*.deb ../*.build ../*.xz ../*.dsc ../*.buildinfo ../*.changes kcontrols/source/tomboy-ng.log source/tomboy-ng.log
+CLEANDIR = kcontrols/packages/kcontrols/lib source/lib kcontrols/source/lib
 INSTALL = install
 INSTALL_PROGRAM = $(INSTALL) -c -m 0755
 INSTALL_DATA    = $(INSTALL) -c -m 0644

=== debian/changelog ===
tomboy-ng (0.39-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 19:27:44 +1100

tomboy-ng (0.39-1build1) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 08 Mar 2024 07:09:50 +0000

tomboy-ng (0.39-1) unstable; urgency=medium

  *  Release of new version.
  *  Fix to UTF8 bug in note title affecting links.
  *  Avoid Wayland, it cannot bring a window to foreground, report on
    position.
  *
  *  Please see github for further change details.

 -- David Bannon <tomboy-ng@bannons.id.au>  Tue, 16 Jan 2024 21:52:29 +1100

tomboy-ng (0.38-1) unstable; urgency=medium

  *  Release of new version.
  *  Display backlinks (click Links button with no text selected). Note
    that the window that displays the BackLinks may be incorrectly
    located in Gnome based systems. An upstream fix is expected.
  *  Several minor bug fixes (links to new notes, hints).
  *  Closes: Bug#1046360 Fails to build source after successful build.
  *  Please see github for further change details.

 -- David Bannon <tomboy-ng@bannons.id.au>  Wed, 10 Jan 2024 12:04:29 +1100

tomboy-ng (0.37-1) unstable; urgency=medium

  *  Release of new version.
  * Addition build targets, RasPi-amd64, Mac-amd64, i366-qt5, Qt6.
  * Revised note dir selection.
  * No left click on trayicon for KDE, wayland issue.
  * Auto Sync now in background thread.
  * Option to copy in plain text.
  * Fix for Debian bug 1046360.
  * Don't show trayicon until it has a menu item, fix Gnome 44 issue.
  * Force Qt5 to use qt5ct because of upstream bad dialogs, Lazarus 3
    will fix.
  * Remove dangling anchors believed to cause a rare layout bug.
  * Faster note loading for large notes.
  * Qt5 can handle a request to use an unconfigured qt5ct.
  * Do not show SysTray until menu items added.
  * Please see github for further change details.

 -- David Bannon <tomboy-ng@bannons.id.au>  Fri, 05 Jan 2024 09:38:45 +1100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: tomboy-ng
 Section: x11
 Priority: optional
-Maintainer: David Bannon <tomboy-ng@bannons.id.au>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: David Bannon <tomboy-ng@bannons.id.au>
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (=13), binutils, libqt5pas-dev, lcl-qt5, libcairo2-dev, libpango1.0-dev, libx11-dev, libnotify-dev, fpc (>=3.2.2), lazarus (>=2.2.2)
 Standards-Version: 4.6.2

=== debian/rules ===
#!/usr/bin/make -f

# This script uses debhelper by Joey Hess
# export DH_VERBOSE=1

DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

ifneq ($(DEB_BUILD_GNU_TYPE),$(DEB_HOST_GNU_TYPE))
       export CC=$(DEB_HOST_GNU_TYPE)-gcc
endif

%:
	dh $@


override_dh_auto_install:
	$(MAKE) install PREFIX=$(CURDIR)/debian/tomboy-ng/usr MAN_BASE_DIR=$(CURDIR)/debian/tomboy-ng/usr/share/man

## tomboy-ng 0.40

=== debian/changelog ===
tomboy-ng (0.40-1) unstable; urgency=medium

  *  Release of new version.
  * Revised Bullet control system.
  * Revised Color setting system for Qt5 and Qt6.
  * Tab key now indents paragraph, not compatible with old Tomboy.
    Subject to revision.
  * Revised PDF export, embedded fonts.
  * Draft "file link" capability. Just type file://Path_to_a_file, use
    the Right Click Menu or Alt-F or Alt-D to insert file or directory
    link interactivly. Will open any file your systems knows how to
    open.
  * Support for openssl 3.0 (compile with fpc323, require dev pkg on
    Debian).
  * Better debug capability when using GitHub Sync.
  * Fix to ensure Gnome is happy with Qt5/6 using -platform xcb.
  * Rename --kde-leftclick to --allow-leftclick because now useful under
    Gnome too.
  * Updates to man page and command line help.
  * Closes: #1061429 - On Wayland Systems, must use xcb.
  * Please see github for further change details.

 -- David Bannon <tomboy-ng@bannons.id.au>  Sat, 29 Jun 2024 16:44:10 +1000

=== debian/control ===
Source: tomboy-ng
Section: x11
Priority: optional
Maintainer: David Bannon <tomboy-ng@bannons.id.au>
Rules-Requires-Root: no
Build-Depends: debhelper-compat (=13), binutils, libqt5pas-dev, lcl-qt5, libcairo2-dev, libpango1.0-dev, libx11-dev, libnotify-dev, fpc (>=3.2.2), lazarus (>=2.2.2)
Standards-Version: 4.7.0
Vcs-Browser: https://github.com/tomboy-notes/tomboy-ng
Vcs-Git: https://github.com/tomboy-notes/tomboy-ng.git
Homepage: https://github.com/tomboy-notes/tomboy-ng

Package: tomboy-ng
Provides: tomboy-ng
Architecture: any
Multi-Arch: foreign
Depends: ${shlibs:Depends}, libqt5pas1, libssl-dev, libfontconfig-dev, wmctrl, libnotify-bin, ${misc:Depends}
Suggests: libayatana-appindicator3-1
Description: Tomboy Notes rewritten to ease installation and cross platform
 tomboy-ng notes allows easy management of a large or small set of
 notes. Notes can contain a range of font sizes, bold, italic and highlight.
 Available for Linux, Windows amd Mac and easy sync between them.
 This is the QT5 based version.

## tomboy-ng 0.42

=== Makefile ===
--- 
+++ 
@@ -14,6 +14,9 @@
 MAN_DIR = $(PREFIX)/share/man/man1
 SHARE_DIR = $(PREFIX)/share
 DOC_DIR = $(SHARE_DIR)/$(PROGRAM_NAME)
+# Debian and AppImage have seperate meta data file names ! Here I copy both, AppImage is happy ....
+METAINFOFILE=io.github.tomboy_notes.tomboy_ng_notes.metainfo.xml
+METAAPPIMAGE=io.github.tomboy_notes.tomboy_ng_notes.appdata.xml
 # ---- Help Notes, it just replicates existing dir/note structure.
 HELP_DIR = $(DOC_DIR)/HELP
 RM      = rm -f
@@ -26,7 +29,7 @@
 INSTALL_DATA    = $(INSTALL) -c -m 0644
 CP = cp -R
 # ----- Language translation files, just add 2 letter code here -----
-LANGUAGES = es fr nl
+LANGUAGES = es fr nl uk
 MKDIRLANG = test -d $(DESTDIR)$(SHARE_DIR)/locale/$(LANG)/LC_MESSAGES || $(MKDIR) $(DESTDIR)$(SHARE_DIR)/locale/$(LANG)/LC_MESSAGES
 CPLANG = msgfmt -o $(DESTDIR)$(SHARE_DIR)/locale/$(LANG)/LC_MESSAGES/tomboy-ng.mo po/tomboy-ng.$(LANG).po
 
@@ -36,7 +39,6 @@
 	bash ./buildit.bash
 	$(info ========== We have compiled [${PROGRAM_NAME}])
 	# $(info ========== $$BIN_DIR is [${BIN_DIR}])
-	
 
 
 clean:
@@ -47,6 +49,7 @@
 	$(RM)		$(OUTFILES)
 	$(RM)		source/Tomboy_NG source/tomboy-ng
 	$(RM)		kcontrols/package/kcontrols/KControls.log
+	$(RM)		$(APPDIR)
 	# clean is pretty useless here, any change to tree upsets debuild and apparently
 	# kcontrols changes some src file during package build. So, refresh !
 
@@ -56,17 +59,29 @@
 	$(INSTALL_DATA)		doc/tomboy-ng.1 	$(DESTDIR)$(MAN_DIR)/$(PROGRAM_NAME).1
 	$(CP)			doc/HELP		$(DESTDIR)$(HELP_DIR)/
 	$(CP)			doc/overrides		$(DESTDIR)$(SHARE_DIR)/lintian/overrides/tomboy-ng
+	$(CP)           doc/$(METAINFOFILE) $(DESTDIR)$(SHARE_DIR)/metainfo/$(METAINFOFILE)
+	$(CP)           doc/$(METAINFOFILE) $(DESTDIR)$(SHARE_DIR)/metainfo/$(METAAPPIMAGE)
 	$(CP)			glyphs/icons		$(DESTDIR)$(SHARE_DIR)/
 	$(INSTALL_DATA)	glyphs/tomboy-ng.desktop	$(DESTDIR)$(SHARE_DIR)/applications/tomboy-ng.desktop
-	$(foreach LANG, $(LANGUAGES), $(CPLANG);)		
+	$(foreach LANG, $(LANGUAGES), $(CPLANG);)
+#	$(CP)	$(APPDIR)/usr/share/icons/hicolor/256x256/apps/tomboy-ng.png $(APPDIR)/usr/share/icons/hicolor/256x256/apps/tomboy-ng.png.png		
 
 installdirs:
+#	test -d $(DESTDIR) || $(MKDIR) $(DESTDIR)
+	test -d $(DESTDIR)$(SHARE_DIR)/metainfo || $(MKDIR) $(DESTDIR)$(SHARE_DIR)/metainfo
 	test -d $(DESTDIR)$(BIN_DIR) || $(MKDIR) $(DESTDIR)$(BIN_DIR)
 	test -d $(DESTDIR)$(MAN_DIR) || $(MKDIR) $(DESTDIR)$(MAN_DIR)
 	test -d $(DESTDIR)$(DOC_DIR) || $(MKDIR) $(DESTDIR)$(DOC_DIR)
+	test -d $(DESTDIR)$(SHARE_DIR)/metainfo || $(MKDIR) $(DESTDIR)$(SHARE_DIR)/metainfo
 	test -d $(DESTDIR)/share/applications || $(MKDIR) $(DESTDIR)$(SHARE_DIR)/applications
 	test -d $(DESTDIR)/share/lintian/overrides || $(MKDIR) $(DESTDIR)$(SHARE_DIR)/lintian/overrides
 	$(foreach LANG, $(LANGUAGES), $(MKDIRLANG);)
 
+#set_appimage_dir:			# just here to set PREFIX 
+#	$(eval PREFIX = $(APPDIR)/usr)	
+#	echo "set PREFIX to " $(PREFIX)
 
+#appimage: set_appimage_dir install 
 
+appimage: tomboy-ngx86_64 install
+

=== debian/changelog ===
tomboy-ng (0.42-1) unstable; urgency=medium

  * Release of new version.
  * Allow --disableaccurateform switch for RasPiOS.
  * Tab key now creates Bullet or extends Bullet or Indent.
  * Shift-Tab to reduce Bullet or Indent.
  * Ctrl-Tab to create Indent.
  * Indent now more compatible with original Tomboy.
  * Keep Bullet and Indent out of title.
  * Github Sync now allows token with expiry date.
  * CLI option, -c, to create new note, eg with OS Hot Key.
  * Please see github for further change details.

 -- David Bannon <tomboy-ng@bannons.id.au>  Fri, 17 Jan 2025 12:36:00 +1100

tomboy-ng (0.41-1) unstable; urgency=medium

  * Release of new version.
  * Updates to PDF maker, especially Chinese capabilities. User can
    select font.
  * Fix to github sync handling transit net failures better.
  * Sort recover notes.
  * Warn Gnome and Qt6 users of Systray Issues.
  * AppImage, Linux
  * Remove dependency on wmctrl, Linux.
  * Add multiselect and right click menu to Search Right Click, inc 2
    later fixes.
  * A fix for bug triggered when several notes are needing a save at
    quit time.
  * A fix for Debian reproducibly issue.
  * Repackage -1 for arm64 only because of glibc issue
  * Please see github for change details.

 -- David Bannon <tomboy-ng@bannons.id.au>  Wed, 11 Dec 2024 22:32:47 +1100

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
 Provides: tomboy-ng
 Architecture: any
 Multi-Arch: foreign
-Depends: ${shlibs:Depends}, libqt5pas1, libssl-dev, libfontconfig-dev, wmctrl, libnotify-bin, ${misc:Depends}
+Depends: ${shlibs:Depends}, libqt5pas1, libssl-dev, libfontconfig-dev, libnotify-bin, ${misc:Depends}
 Suggests: libayatana-appindicator3-1
 Description: Tomboy Notes rewritten to ease installation and cross platform
  tomboy-ng notes allows easy management of a large or small set of
